Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: "David S. Miller" <[email-masked]>
Date: Tue, 28 Sep 2004 13:38:30 -0700

On Tue, 28 Sep 2004 00:20:50 -0700
Nivedita Singhvi <[email-masked]> wrote:

> David S. Miller wrote:
> 
> > Bright minds think alike.  :-)  We have to keep all the other
> > packet counts in sync as well.
> > 
> > Andi, others, forget my previous hack patch to tcp_clean_rtx_queue()
> > and give this more complete patch a try.
> > 
> > I'm getting really good results here on my tg3<-->tg3 setup using
> > this patch.
> 
> Dave, were you seeing a significant number of retransmissions
> and sacks in your tests?

None.  I am working on a local network through a gigabit switch.

I will work on making sure cases involving loss work correctly,
via the netem module, before I submit these fixes upstream to
Linus.  Likely I will complete this work today.